Subject: Re: BFD UDP ports
From: "Vishwas Manral" <[email-masked]>
To: "Nobo Akiya (nobo)" <[email-masked]>
Cc: [email-masked], David Ward <[email-masked]>, Dave Katz <[email-masked]>
Date: Fri, 5 Dec 2008 09:39:51 -0800
List-Id: "RTG Area: Bidirectional Forwarding Detection DT" <rtg-bfd.ietf.org>

Hi Nitin/ Nobo,

Thanks for your replies. So I guess we will have to use the same port
for IPv4 and IPv6 then, hack the OS or whatever other way.

Nobo, I agree we should make the recomendation as a MAY instead of a
may as I had suggested.

Another question I had in mind was regarding the use of the "echo
mode". Should we allow parallel sending of echo as well as asynch
packets, or at one time only one mechanism needs to be active?

Thanks again,
Vishwas

> Hello Vishwas, Nitin.
>
>>
>> On 12/4/08 12:30 PM, "Vishwas Manral" <[email-masked]> wrote:
>>
>> > Hi
>> >
>> > 1. I am a bit confused about using the same BFD destination port for
>> > IPv4 and IPv6. Shouldn't we have different port numbers? I realized
>> > that even RIP which uses UDP uses different ports for IPv4 and IPv6.
>> > Using the same port can be an issue in a few heavily used OS. Has
>> > anyone implemented BFD for IPv6?
>>
>> Using the same port should be for v4 & v6 should be fine. I
>> know of at least
>> 1 implementation ;-)
>>
>> Thanks
>> Nitin
>>
>
> I know of another implementation which same dest port is used for v4 &
> v6 =)
>
>> 2. As BFD source port is not used for packet replies and as
>> the Source address/ ifindex may be a unique identifier for a
>> source, do we need not have the condition which states
>> "source port number SHOULD be unique among all BFD sessions
>> on the system". Can we downgrade this condition to a may?
>
> I tripped over this requirement as well, and I agree that measurement of
> the
> wording strength is a bit confusing.
>
> One soft correction on your statement is that source port MAY be used as
> a
> demultiplexing *aid*.
>
> http://tools.ietf.org/html/draft-ietf-bfd-v4v6-1hop-08 Sec4.1:
>
>   An implementation MAY use the UDP port source number to aid in
>   demultiplexing incoming BFD Control packets, but ultimately the
>   mechanisms in [BFD] MUST be used to demultiplex incoming packets to
>   the proper session.
>
> Thanx,
> Nobo
>